from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.MzProduct.config import PROJECTNAME, GLOBALS
from Products.CMFCore.utils import getToolByName

from StringIO import StringIO

def install(self):
    out = StringIO()

    installTypes(self, out, listTypes(PROJECTNAME), PROJECTNAME)
    out.write("Installing content types")
    
    install_subskin(self, out, GLOBALS)
    out.write("Installing subskin")
        
    CSSRegistry = getToolByName(self, 'portal_css')
    CSSRegistry.registerStylesheet('mzproduct.css')
    out.write("Registering css")

    out.write("Successfully installed %s." % PROJECTNAME)
    return out.getvalue()
